
void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, NextDiag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(NextDiag, NPChar.Dialog);

	switch(Dialog.CurrentNode)
	{
		case "First time":
			dialog.text = "Czego chcesz ode mnie?!";
			link.l1 = "Chciałem się tylko upewnić, czy to na ciebie wołają " + GetCharacterFullName(npchar.id) + ".";
			link.l1.go = "node_1";

			NextDiag.TempNode = "First time";
		break;

		case "node_1":
			dialog.text = "To ja. Czego chcesz?";
			link.l1 = "Nakazano mi zabić cię. Myślę, że zrobię to teraz.";
			link.l1.go = "fight";
			link.l2 = "Cóż, wprawdzie dostałem polecenie zabicia ciebie, ale możesz wykupić swoje nędzne życie...";
			link.l2.go = "trade";
		break;

		case "fight":
			dialog.text = "Znakomicie! Czas to zakończyć! Broń się!";
			link.l1 = "Bronić się?! Dziękuję, ale wolę atakować. Gotuj się na śmierć.";
			link.l1.go = "exit";
			AddDialogExitQuest("quest_fight_kill_character");
		break;

		case "trade":
			if (sti(pchar.skill.sneak) < rand(13) && sti(pchar.skill.leadership) < rand(13) &&sti(pchar.skill.commerce) <rand(13))
			{
				dialog.text = "Ha! To raczej ja ciebie zabiję!";
				link.l1 = "Jak sobie życzysz. Mam nadzieję, że byłeś rano w kościele.";
				link.l1.go = "exit";
				AddDialogExitQuest("quest_fight_kill_character");
			}
			else
			{
				dialog.text = "Ciekawa propozycja. Mów dalej.";
				link.l1 = "To proste: dasz mi pierścień, zapłacisz " + sti(pchar.skill.commerce)*500 + " piastrów, a ja cię wypuszczę.";
				link.l1.go = "trade_2";
			}
		break;

		case "trade_2":
			if (sti(npchar.money) < sti(pchar.skill.commerce)*500)
			{
				dialog.text = "Chciałbym ci zapłacić, ale mam tylko " + npchar.money + " piastrów. Może to ci wystarczy...";
				link.l1 = "Dobrze, dawaj te pieniądze.";
				link.l1.go = "trade_min";
				link.l2 = "Co?! Nie, za zabicie ciebie dostanę więcej.";
				link.l2.go = "fight";
			}
			else
			{
				dialog.text = "Załatwione. Oto pierścień i pieniądze.";
				link.l1 = "Adios. Interesy z tobą to czysta przyjemność.";
				link.l1.go = "exit";
				AddDialogExitQuest("give_ring");
				AddMoneyToCharacter(pchar, sti(pchar.skill.commerce)*500);
			}
		break;

		case "trade_min":
			dialog.text = "Proszę. Oto pierścień i pieniądze.";
			link.l1 = "Interesy z tobą to czysta przyjemność.";
			link.l1.go = "exit";
			AddDialogExitQuest("give_ring");
			AddMoneyToCharacter(pchar, sti(npchar.money));
		break;

		case "Exit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;
	}
}
